Subject: [netmod] Resending: Query regarding namespace for must statement in deviation file

From: "Ivory, William" <[email-masked]>
Date: Fri, 10 Jul 2020 07:17:51 +0000

[resending as I've had no reply yet]

Hi,

In a YANG deviation file, any node being deviated requires an explicit prefix on all elements in the node's path. However, if a deviation statement includes a new must statement, does that must statement require explicit prefixes on any node name it includes, or can an implicit namespace of the node being deviated be assumed?

The only examples I have found show explicit prefixes, but I can't work out from RFC 6020 if this is required or not. Can anyone clarify? I also have a colleague whose reading of the spec inclines them to the view that explicit prefixes would result in circular references when referring to the module being deviated and therefore should not be allowed so as you can see some clarity here would be useful!

Thanks,

William